package com.realnet.basicp1.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basicp1.Entity.Addcal;
import com.realnet.basicp1.Services.AddcalService ;






@RequestMapping(value = "/Addcal")
 @CrossOrigin("*") 
@RestController
public class AddcalController {
	@Autowired
	private AddcalService Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/Addcal")
		  public Addcal Savedata(@RequestBody Addcal data) {
		Addcal save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Addcal/{id}")
	public  Addcal update(@RequestBody Addcal data,@PathVariable Integer id ) {
		Addcal update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Addcal/getall/page")
	public Page<Addcal> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Addcal> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Addcal")
	public List<Addcal> getdetails() {
		 List<Addcal> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Addcal")
	public List<Addcal> getallwioutsec() {
		 List<Addcal> get = Service.getdetails();		
		return get;
}
@GetMapping("/Addcal/{id}")
	public  Addcal  getdetailsbyId(@PathVariable Integer id ) {
		Addcal  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Addcal/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}







}